Subject: Marijuana Stocks Set to SKY-ROCKET in 2017 (Invest Now)

From: "Marijuana Investment News" <[email-masked]>
Date: Tue, 27 Dec 2016 14:01:59 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.